Subject: Re: [PATCH] 31.0.50; makefile-mode: incorrectly highlights make-instructions as make targets

From: Jostein Kjønigsen <[email-masked]>
Date: Sat, 8 Mar 2025 22:54:22 +0100

Any news on this one?

Has anyone tested this? Anyone have any objection to the change?

—
Kind Regards
Jostein Kjønigsen

> On 5 Mar 2025, at 14:28, Jostein Kjønigsen <[email-masked]> wrote:
> 
> Tested with \t and that works too. Attached is a patch containing these changes and which fixes this (these) bug(s).
> 
> <0001-Fix-fontification-error-in-makefile-mode.patch>
> —
> Kind Regards
> Jostein Kjønigsen
> 
>> On 5 Mar 2025, at 14:19, Jostein Kjønigsen <[email-masked]> wrote:
>> 
>>> From the Makefile format, I think this should not be leading whitespace, but only leading tabs. Leading spaces in rules are a syntax error. Can you check whether \t instead of \s also works?
>> 
>> 
>> Good catch, Arne. Will check.
>> 
>>> Looks like the 10th duplicate of Bug#17400.
>> 
>> 
>> Also good catch, Mauro. Can someone merge these 2 bugs?
>> 
>> But honestly: A more than 10 year old bug!!! About time we get it fixed!
>> 
>> I'll report back as soon as I have a new patch!
>> 
>> —
>> Kind Regards
>> Jostein Kjønigsen
>> 
>